List Deliveries
curl --request GET \
--url https://api.autosnap.com/v1/webhooks/{webhook_id}/deliveriesimport requests
url = "https://api.autosnap.com/v1/webhooks/{webhook_id}/deliveries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.autosnap.com/v1/webhooks/{webhook_id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Webhooks
List Deliveries
View delivery history for a webhook subscription.
GET
/
v1
/
webhooks
/
{webhook_id}
/
deliveries
List Deliveries
GET /v1/webhooks/{webhook_id}/deliveries
v1.0 schema lock. The response shape on this page is the locked v1.0 contract. We will never remove a documented field, never rename a field, and never change a field’s type without bumping to v2 (see Versioning).
Parameters
| Name | Type | In | Required | Default | Description |
|---|---|---|---|---|---|
webhook_id | integer | path | Yes | — | The webhook subscription ID |
api_key | string | query | Yes | — | Your API key |
limit | integer | query | No | 50 | Max deliveries to return (max 100) |
Example
curl "https://api.autosnap.com/v1/webhooks/42/deliveries?api_key=YOUR_API_KEY&limit=10"
Response
{
"success": true,
"count": 3,
"deliveries": [
{
"id": 101,
"event_type": "vehicle.created",
"dealership_id": "dlr_8cfc0b00a98b",
"response_status": 200,
"response_time_ms": 87,
"success": true,
"error_message": null,
"dealership_name": "Carl Black Buick GMC",
"request_url": "https://yourapp.com/webhooks/autosnap",
"request_payload": {
"event": "vehicle.created",
"dealership_id": "dlr_8cfc0b00a98b",
"timestamp": "2026-04-09T16:38:05.123456+00:00",
"data": { "vin": "1GCHSCEA7L1214921" }
},
"response_body": "{\"received\":true}",
"created_at": "2026-04-09T16:38:05+00:00"
},
{
"id": 100,
"event_type": "import.complete",
"dealership_id": "dlr_8cfc0b00a98b",
"response_status": 200,
"response_time_ms": 263,
"success": true,
"error_message": null,
"dealership_name": "Carl Black Buick GMC",
"request_url": "https://yourapp.com/webhooks/autosnap",
"request_payload": {
"event": "import.complete",
"dealership_id": "dlr_8cfc0b00a98b",
"timestamp": "2026-04-09T16:38:02.654321+00:00",
"data": { "website_url": "carlblackroswell.com" }
},
"response_body": "{\"received\":true}",
"created_at": "2026-04-09T16:38:02+00:00"
}
]
}
Errors
| Status | Description |
|---|---|
| 404 | Webhook not found |
| 403 | Webhook belongs to a different account |
⌘I